{
  description = "main system configuration flake";

  inputs = {
    # NixOS official package source, using the nixos-24.05 branch as stable and nixos-unstable as default
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    stablepkgs.url = "github:NixOS/nixpkgs/nixos-24.05";

    # Home manager using nixos-unstable
    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "stablepkgs";
    };

    # Hyprland wm
    hyprland.url = "git+https://github.com/hyprwm/Hyprland?submodules=1";
  };

  outputs = { self, nixpkgs, home-manager, hyprland, ... } @ inputs:
  let
    pkgs = nixpkgs.legacyPackages.x86_64-linux;
    stable = inputs.stablepkgs.legacyPacakges.x86_64-linux;
  in
  {
    nixosConfigurations.gabbielaptop = nixpkgs.lib.nixosSystem {
      specialArgs = { inherit inputs; };
      system = "x86_64-linux";
      modules = [
        # Import configuration modules
        ./hosts/gabbielaptop/configuration.nix
	./modules/nh.nix
	./modules/environment.nix
        ./modules/waydroid.nix

        # Import hyprland module
#        hyprland.homeManagerModules.default
      ];
    };
  };
}
